<?php
//Разработал wmid 113456933918 bux-top.ru
function start_cache($objname,$cachetime)
{
$start=0;
$cachedir = '/home/almazz-bux/data/www/almazz-bux.info/cache/';   // echo $_SERVER["SCRIPT_FILENAME"] выводит этот путь

$cacheext = 'cache';

 $cachefile = $cachedir . md5($objname) . '.' . $cacheext;
$ignore_page = false;

 $cachefile_created = ((@file_exists($cachefile)) and ($ignore_page === false)) ? @filemtime($cachefile) : 0; @clearstatcache();
 if (time() - $cachetime < $cachefile_created) {
  @readfile($cachefile);
   $start=1;
   return 0;
   }

   if($start==0)
   {
   ob_start();
   return 1;
   }

  }
  function end_cache($objname)
  {

    $cachedir = '/home/almazz-bux/data/www/almazz-bux.info/cache/';  // echo $_SERVER["SCRIPT_FILENAME"] выводит этот путь
 $cacheext = 'cache';

 $cachefile = $cachedir . md5($objname) . '.' . $cacheext;

$fp = @fopen($cachefile, 'w');
 @fwrite($fp, ob_get_contents());
  @fclose($fp);
 ob_end_flush();
 //Разработал wmid 113456933918 bux-top.ru
  }?>